# math::floor

Returns the largest whole number less than or equal to the specified number.

### Usage

`double math::floor(value)`

### Parameters

Name | Type | Description
--- | --- | ---
value | double | value to be , can be anything convertible to a double

### Return Value

The largest whole number less than or equal to the specified number.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)